%define upstream_name    Module-Metadata
%define upstream_version 1.000004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Gather package and POD information from perl module files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(version) >= 0.870.0
BuildArch:  noarch

Requires:   perl(version) >= 1:0.870.0
%description
The *Tie::CPHash* module provides a hash table that is case preserving but
case insensitive. This means that

    $cphash{KEY}    $cphash{key}
    $cphash{Key}    $cphash{keY}

all refer to the same entry. Also, the hash remembers which form of the key
was last used to store the entry. The 'keys' and 'each' functions will
return the key that was used to set the value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Feb 22 2011 jquelin <jquelin> 1.0.4-1.mga1
+ Revision: 56639
- update to 1.000004

* Tue Feb 01 2011 jquelin <jquelin> 1.0.3-2.mga1
+ Revision: 45728
- adding requires: with epoch where needed

* Mon Jan 31 2011 jquelin <jquelin> 1.0.3-1.mga1
+ Revision: 45183
- there's an epoch for version :-(
- fix buildrequires:
- imported package perl-Module-Metadata


* Mon Jan 31 2011 cpan2dist 1.000003-1mdv
- initial mdv release, generated with cpan2dist
